
#ifndef _HOMEMADECLOCK_H
#define _HOMEMADECLOCK_H

#include <chrono>

typedef std::chrono::time_point<std::chrono::high_resolution_clock> timePoint;
//typedef timeDuration std::chrono::duration<double>

class HomeMadeclock
{
public:
	static timePoint now();
	static double milliSeconds(timePoint t1, timePoint t2);
	static double seconds(timePoint t1, timePoint t2);
};

#endif